Source: libbytes-random-secure-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libcrypt-random-seed-perl,
                     libmath-random-isaac-perl,
                     libstatistics-basic-perl,
                     perl
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libbytes-random-secure-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libbytes-random-secure-perl.git
Homepage: https://metacpan.org/release/Bytes-Random-Secure

Package: libbytes-random-secure-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libcrypt-random-seed-perl,
         libmath-random-isaac-perl
Multi-Arch: foreign
Description: Perl extension to generate cryptographically-secure random bytes
 Bytes::Random::Secure provides two interfaces for obtaining crypt-quality
 random bytes. The simple interface is built around plain functions. For
 greater control over the Random Number Generator's seeding, there is an
 Object Oriented interface that provides much more flexibility.
 .
 The "functions" interface provides five functions that can be used any time
 you need a string (or MIME Base64 representation, or hex-digits
 representation, or Quoted Printable representation) of a specific number of
 random bytes. There are equivalent methods available via the OO interface.
 .
 Bytes::Random::Secure can be a drop-in replacement for Bytes::Random, with
 the primary enhancement of using a much higher quality random number
 generator to create the random data. The random_bytes function emulates the
 user interface of Bytes::Random's function by the same name. But with
 Bytes::Random::Secure the random number generator comes from
 Math::Random::ISAAC, and is suitable for cryptographic purposes. The harder
 problem to solve is how to seed the generator. This module uses
 Crypt::Random::Seed to generate the initial seeds for Math::Random::ISAAC.
